//
// InternetTextMessageBody.h
//

#pragma once

#include <Raym/Raym.h>

namespace NET
{

class InternetTextMessageBody : public Raym::Object
{
private:
    Raym::String *  _body;
    Raym::Data *    _data;

protected:
    InternetTextMessageBody();
    ~InternetTextMessageBody();

public:
    static InternetTextMessageBody *alloc();
    InternetTextMessageBody *initWithString(Raym::String *string);
    InternetTextMessageBody *initWithData(Raym::Data *data);
    InternetTextMessageBody *retain();
    InternetTextMessageBody *autorelease();

    Raym::String *body();
    Raym::Data *data();

    virtual const char *className();
};

} // NET

